# Global

##

### Members

#### module:util/util

  an instance that should be used.
  Source:
    - util/util.js, line 318

### Type Definitions

#### openpgp_block_cipher_fn(block, key) → {openpgp_byte_array}

  Block cipher function

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `block` | openpgp_byte_array | A block to perform operations on
  `key` | openpgp_byte_array | to use in encryption/decryption

  Source:
    - crypto/cfb.js, line 30

  ##### Returns:

  Encrypted/decrypted block
  Type
    openpgp_byte_array

#### openpgp_byte_array

  An array of bytes, that is integers with values from 0 to 255

  ##### Type:

  - Array | Uint8Array
  Source:
    - crypto/cfb.js, line 25